<!DOCTYPE html>
<html xmlns:th="http://thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	ng-app="appCaixa">

<head>
<meta charset="UTF-8" />
<link rel="icon" href="img/favicon.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="./css/bootstrap.min.css"></link>
<link rel="stylesheet" type="text/css" href="./css/style.css"></link>
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
<script
	src="./js/angular.min.js"></script>
<script src="./js/jquery.min.js"></script>
<script src="./js/app.js"></script>


</head>
<body ng-controller="cedula">

	<div class="container">
		<nav class="navbar navbar-default ">
			<div class="container-fluid">
				<div class="navbar-header">
					<a class="navbar-brand" href="/index">Banco</a>
				</div>

				<!-- Collect the nav links, forms, and other content for toggling -->
				<div class="collapse navbar-collapse"
					id="bs-example-navbar-collapse-1">
					<ul class="nav navbar-nav">
						<li><a href="/cadastroCedula">Cadastrar Cedula</a></li>
						<li><a href="/cadastroSaque">Cadastrar Saque</a></li>
					</ul>

					<ul class="nav navbar-nav navbar-right">
						<li><a sec:authentication="principal.username">User</a></li>
						<li><a th:href="@{/logout}"><button>Sair</button></a></li>
					</ul>
				</div>
			</div>
		</nav>


		<div class="col-lg-12 col-sm-12 col-xs-12 alert alert-success"
			ng-show="displaySucess ">
			<strong>{{successMessage}}</strong>
		</div>
		<div class="col-lg-12 col-sm-12 col-xs-12 alert alert-danger"
			ng-show="displayError">
			<strong>{{errorMessage}}</strong>
		</div>


		<h2 class="backgreen-orangefooter">Cadastrar Cédula</h2>
		<!-- FORME DAS CEDULAS -->
		<div class="form-group">
			<form method="POST">
				<label for="valor-cedula">Valor:</label> <input type="text" onkeyup="this.value=this.value.replace(/[^\d]/,'')"
					id="valor-cedula" class="form-control" name="valor"
					ng-model="cedula.valor" value="" /> <label for="saldo-cedula">Saldo:</label>
				<input type="text" id="saldo-cedula" class="form-control" onkeyup="this.value=this.value.replace(/[^\d]/,'')"
					name="saldo" ng-model="cedula.saldo" value="" /> <br />
				<button type="button" class="btn btn-primary"
					ng-click="salvaCedula()">Salvar</button>
			</form>
		</div>

		<hr />

		<!-- LISTAS AS CEDULAS -->
		<button type="button" class="btn btn-primary"
			ng-click="listaTodasCedulas()">Carrega Cedulas</button>
		<table border="1" class="table">
			<th>Cédula</th>
			<th>Saldo</th>
			<tr ng-repeat="cedula in cedulasPesquisa">
				<td>R$ {{cedula.valor}}</td>
				<td>{{cedula.saldo}}</td>
				<td><button type="button" class="btn btn-primary"
						ng-click="editaCedula(cedula)">Editar</button></td>
			</tr>
		</table>
		<br />
		<!-- a href="/index"><button class="btn btn-primary">Voltar</button></a-->
	</div>
</body>
</html>